curl --request GET \
--url https://api.staging.payrails.io/payment/payments/{paymentId}/operations/{paymentOperationId}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/payment/payments/{paymentId}/operations/{paymentOperationId}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/payment/payments/{paymentId}/operations/{paymentOperationId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0ddfc23a-d4c2-4d63-a1ae-b751595ee886",
"createdAt": "2022-06-29T16:29:09.542373Z",
"operationId": "87a9af5d-96e0-45a6-bccb-68c4bca4af6c",
"request": "{\"amount\":350,\"reference\":\"3f3f1a6a-39b3-48f6-8184-d03e4dab6d24\"}",
"response": "{\"workspace_id\":\"7f9f1882-a103-408d-ac96-46a7021e537a\"\"action_id\":\"act_66ukgy6qr56e7npcvtjm2ynyq4\",\"reference\":\"3f3f1a6a-39b3-48f6-8184-d03e4dab6d24\",\"_links\":{\"payment\":{\"href\":\"https://api.somepsp.com/payments/pay_4h34343\"}}}"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Get Payment Operation Logs by Payment Operation ID
Find payment operation logs from a given operationID.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Identifier of the resource in Payrails.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Payment Operation Log in Payrails.
Exact date and time when the Payment Operation Log was created in Payrails. Possibly differs slightly from the date in the PSP.
Unique identifier of the Payment Operation that this Log belongs to in Payrails.
Original request object sent to the Provider.
Original response object received from the Provider.
Workspace ID that the workflow configuration belongs to.